Index: branches/playability/src/world_entities/projectiles/hbolt.cc
===================================================================
--- branches/playability/src/world_entities/projectiles/hbolt.cc	(revision 9987)
+++ branches/playability/src/world_entities/projectiles/hbolt.cc	(revision 9989)
@@ -39,9 +39,12 @@
   this->registerObject(this, HBolt::_objectList);
 
-  this->loadModel("models/projectiles/hbolt.obj");   //!< Model not yet in repo
+  this->loadModel("models/projectiles/hbolt.obj");
 
   this->setMinEnergy(10);
   this->setHealthMax(0);
   this->lifeSpan = 5.0;
+
+  this->angle = 0;
+  this->rotationSpeed = 90;
 
   this->emitter = new DotEmitter(100, 5, M_2_PI);
@@ -112,4 +115,11 @@
 }
 
+
+void HBolt::updateAngle ()
+{
+  this->angle = this->angle + this->rotationSpeed;
+}
+
+
 /**
  *  signal tick, time dependent things will be handled here
@@ -125,4 +135,5 @@
     this->deactivate();
 
+  //this->updateAngle();
 
 }
@@ -141,6 +152,11 @@
 
 
-void HBolt::draw () const
+void HBolt::draw () //const
 {
+
+  glBegin(GL_TRIANGLES);
+  this->getModel();
+  glEnd();
+
   glPushAttrib(GL_ENABLE_BIT);
   glDisable(GL_LIGHTING);
@@ -149,9 +165,9 @@
   //glRotatef(30, 0.0f, 1.0f, 0.0f);
 
-  WorldEntity::draw();
-/*  glMatrixMode(GL_MODELVIEW);
+  //WorldEntity::draw();
+  glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
 
-  float matrix[4][4];
+/*  float matrix[4][4];
   glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
   this->getAbsDir().matrix (matrix);
@@ -161,5 +177,5 @@
   glPopMatrix();*/
 
-/*
+  this->updateAngle();
 
   float matrix[4][4];
@@ -167,8 +183,8 @@
   this->getAbsDir().matrix (matrix);
   glMultMatrixf((float*)matrix);
-  glRotatef(30, 0.0, 1.0, 0.0);
-  //glMultMatrixf((float*)matrix);
-  this->getModel()->draw();*/
-  //glPopMatrix();
+  glScalef(4.0, 4.0, 4.0);
+  glRotatef(this->getAngle(), 0.0, 1.0, 0.0);
+  this->getModel()->draw();
+  glPopMatrix();
   glPopAttrib();
 }
Index: branches/playability/src/world_entities/projectiles/hbolt.h
===================================================================
--- branches/playability/src/world_entities/projectiles/hbolt.h	(revision 9987)
+++ branches/playability/src/world_entities/projectiles/hbolt.h	(revision 9989)
@@ -31,6 +31,8 @@
 
     virtual void tick (float dt);
-    virtual void draw () const;
+    virtual void draw (); //const;
 
+    virtual void updateAngle();
+    inline float getAngle() { return this->angle; };
 
   private:
@@ -41,4 +43,6 @@
     ParticleEmitter*                  emitter;
 
+    float                             angle;
+    float                             rotationSpeed;
 
     WorldEntity* hitEntity; // FIXME TEMPORARY
Index: branches/playability/src/world_entities/test_entity2.cc
===================================================================
--- branches/playability/src/world_entities/test_entity2.cc	(revision 9987)
+++ branches/playability/src/world_entities/test_entity2.cc	(revision 9989)
@@ -84,4 +84,7 @@
   this->material->setAmbient(1.0, 0.0, 1.0);
 
+  this->angle = 0;
+  this->rotationSpeed = 10;
+
   //this->material->setDiffuseMap("maps/torp2.png");
 }
@@ -95,4 +98,10 @@
 {
   WorldEntity::loadParams(root);
+}
+
+
+void TestEntity2::updateAngle()
+{
+  this->angle = this->angle + this->rotationSpeed;
 }
 
@@ -231,4 +240,7 @@
   glEnd();
 
+  //this->angle += this->rotationSpeed;
+  glRotatef(this->angle, 0.0, 1.0, 0.0);
+
   glPopMatrix();
   glPopAttrib();
@@ -245,9 +257,10 @@
   this->setParent(pl);
 
-}
-
-
-
-
-
-
+  this->updateAngle();
+}
+
+
+
+
+
+
Index: branches/playability/src/world_entities/test_entity2.h
===================================================================
--- branches/playability/src/world_entities/test_entity2.h	(revision 9987)
+++ branches/playability/src/world_entities/test_entity2.h	(revision 9989)
@@ -24,5 +24,9 @@
 
   private:
+    virtual void updateAngle();
+
     Material*       material;
+    float           angle;
+    float           rotationSpeed;
 };
 