Index: /code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw
===================================================================
--- /code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 9990)
+++ /code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 9991)
@@ -43,6 +43,4 @@
 
   <?lua include("includes/notifications.oxi") ?>
-
-
   <NotificationQueueCEGUI
     name="narrative"
@@ -63,5 +61,5 @@
   <?lua include("includes/pickups.oxi") ?>
 
-    <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
+    <Script code="showGUI NotificationLayer false true" needsGraphics="true" times="1"/>
     <OverlayGroup name="spacefightHUD" scale = "1, 1">
       <CountDown
Index: /code/trunk/data/levels/iiiJohnVane_EscapeTheBastards.oxw
===================================================================
--- /code/trunk/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 9990)
+++ /code/trunk/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 9991)
@@ -5,12 +5,12 @@
 Everything works fine, there are just some design issues:
 
-	- Better Homeplanet Design
-	- Change Boxdesign at the End (metal_crate.mesh instead of crate.mesh)
-	- Apply Boxcollison
-	- Green Box at the end Triangular
-	- Better Portal Jump
-	- better forcefield
-	- Sun Background (Particle Effects)
-	- Asteroid Belts around Planets (without lags!!!)
+- Better Homeplanet Design
+- Change Boxdesign at the End (metal_crate.mesh instead of crate.mesh)
+- Apply Boxcollison
+- Green Box at the end Triangular
+- Better Portal Jump
+- better forcefield
+- Sun Background (Particle Effects)
+- Asteroid Belts around Planets (without lags!!!)
 -->
 
@@ -18,5 +18,5 @@
 <!--
 Basic ------------------------------------------------------------------------------------------------------------------------>
-							<!--Basic Infos-->
+<!--Basic Infos-->
 
 <LevelInfo
@@ -42,16 +42,4 @@
 ?>
 
-  <NotificationQueueCEGUI
-    name="narrative"
-    targets="simpleNotification"
-    size=3
-    displayTime=4
-    position="0.2, 0, 0.1, 0"
-    fontSize="23"
-    fontColor="0, 0.5, 1, 0.9"
-    alignment="HorzCentred"
-    displaySize="0.6, 0, 0, 0"
-    />
-
 <Level
   name = "Escape the bastards"
@@ -62,5 +50,17 @@
     <Template link=lodtemplate_default />
   </templates>
+  
   <?lua include("includes/notifications.oxi") ?>
+  <NotificationQueueCEGUI
+    name="narrative"
+    targets="simpleNotification"
+    size=3
+    displayTime=4.9
+    position="0.2, 0, 0.1, 0"
+    fontSize="23"
+    fontColor="0.3, 1, 0.2, 0.8"
+    alignment="HorzCentred"
+    displaySize="0.6, 0, 0, 0"
+    />
 
   <Scene
@@ -75,6 +75,4 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
 
-	
-
     <!-- SpawnPoint team=0 position="-1000,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff / -->
 
@@ -84,22 +82,22 @@
 
     <PickupSpawner pickup=hugehealthpickup position="0,-4,-1540" triggerDistance="10" respawnTime="10" maxSpawnedItems="99" visible="true">
-                            <events>
-                                <visibility>
-                                    <EventListener event="boxtrigger" />
-                                </visibility>
-                            </events>
-	</PickupSpawner>
+        <events>
+            <visibility>
+                <EventListener event="boxtrigger" />
+            </visibility>
+        </events>
+    </PickupSpawner>
     <PickupSpawner pickup=mediumspeedpickup position="0,4,-1540" triggerDistance="10" respawnTime="10" maxSpawnedItems="99"  visible="true">
-                            <events>
-                                <visibility>
-                                    <EventListener event="boxtrigger" />
-                                </visibility>
-                            </events>
-	</PickupSpawner>
+        <events>
+            <visibility>
+                <EventListener event="boxtrigger" />
+            </visibility>
+        </events>
+    </PickupSpawner>
 
 <!-- Pickups heal the box, so one cant destroy the box -->
 
 <!-- Pickups END -->
-							<!--Basic Infos end-->
+<!--Basic Infos end-->
 
 <!--Story----------------------------------------------------------------------------------------------------------------------------------------------------------------------->
@@ -110,5 +108,4 @@
         <events>
             <trigger>
-
                 <TeamSpawnPoint team=0 position="-8050,0,0" direction="1,0.3,0.2" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage>
 <!-- Spawnpoint aendern zu -8050,0,0 nachher direction="1,0.3,0.2"-->
@@ -145,6 +142,4 @@
 
 
-
-
         <QuestEffectBeacon times=1>
             <effects>
@@ -203,5 +198,5 @@
         </QuestEffectBeacon>
 
-			<!-- END OF GAME -->
+    <!-- END OF GAME -->
     <SimpleNotification message="Well done, you've finished">
         <events>
@@ -213,5 +208,5 @@
 
 
-    <Script code="Mission endMission true" onLoad="false">
+    <Script code="Mission endMission true" onLoad="false" times="1">
         <events>
             <trigger>
@@ -220,14 +215,16 @@
         </events>
     </Script>
-			<!-- END OF GAME END -->
-
-
-        <DistanceTrigger name="missionfinish" position="-120,0,0" target="Pawn" distance=60 stayActive="true" delay=1>
+    
+    <Script code="Mission setLives 1" onLoad="true" times="1" />
+    <!-- END OF GAME END -->
+
+
+    <DistanceTrigger name="missionfinish" position="-120,0,0" target="Pawn" distance=60 stayActive="true" delay=1>
     </DistanceTrigger>
- 	<DistanceTrigger name="reachedally" position="-120,0,0" target="Pawn" distance=60 stayActive="true" delay=0>
+    <DistanceTrigger name="reachedally" position="-120,0,0" target="Pawn" distance=60 stayActive="true" delay=0>
     </DistanceTrigger>
- 	<DistanceTrigger name="reachedhomeplanet" position="-3000,12000,-6990" target="Pawn" distance=100 stayActive="true" delay=0>
+    <DistanceTrigger name="reachedhomeplanet" position="-3000,12000,-6990" target="Pawn" distance=100 stayActive="true" delay=0>
     </DistanceTrigger>
- 	<DistanceTrigger name="reachedend" position="-41000,-30000,33800" target="Pawn" distance=60 stayActive="true" delay=2>
+    <DistanceTrigger name="reachedend" position="-41000,-30000,33800" target="Pawn" distance=60 stayActive="true" delay=2>
     </DistanceTrigger>
 
@@ -674,7 +671,7 @@
 <!--Enviroment-------------------------------------------------------------------------------------------------------------------------------------------------------------------->
 
-							<!--Asteroids Field-->
-
-	<?lua for i=0,750,1 do
+    <!--Asteroids Field-->
+
+	<?lua for i=0,650,1 do
 		x=math.random(-8000,-1000)
 		y=math.random(-2345,2345)
@@ -773,7 +770,7 @@
     ?>
     <?lua end ?>
-							<!--Asteroid Elipse end-->
-
-							<!--Planet sun-->
+<!--Asteroid Elipse end-->
+
+<!--Planet sun-->
     <Planet position="15000,0,0" scale=1500 pitch=-90 mesh="planets/sol.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=0 imagesize=1024.0f />
     <StaticEntity position="2600,0,0" collisionType=static>
@@ -785,7 +782,7 @@
     <Billboard position="15100,0,0" material="Flares/backlightflare" colour="0.7,0.4,0.1" scale=600 />
 
-						<!--Planet END-->
-
-							<!--Planet with Ally-->
+<!--Planet END-->
+
+<!--Planet with Ally-->
     <Planet
       position="0,0,0"
@@ -796,5 +793,5 @@
       mass="5000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
+      mesh="iceplanet.mesh"
       atmosphere="atmosphere1"
       rotationaxis="1,0,0"
@@ -811,8 +808,8 @@
       </collisionShapes>
     </Planet>
-							<!-- Planet with Ally END-->
-
-
-							<!-- Homeplanet -->
+<!-- Planet with Ally END-->
+
+
+<!-- Homeplanet -->
     <Planet
       position="-3000,12000,-10000"
@@ -823,5 +820,5 @@
       mass="5000000000000"
       pitch="0"
-      mesh="iceplanet.mesh"
+      mesh="planets/muunilinst.mesh"
       atmosphere="atmosphere1"
       rotationaxis="0,0,0"
@@ -837,13 +834,13 @@
       </collisionShapes>
     </Planet>
-  							<!-- Homeplanet  END-->
-
-							<!-- Planet around the cave-->
+<!-- Homeplanet  END-->
+
+<!-- Planet around the cave-->
 
 <Planet position="-43500,-30000,31900" scale=5000 pitch=-90 mesh="planets/moon.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=0 imagesize=1024.0f />
 
-							<!-- Planet around the cave END-->
-
-							<!-- Anotherplanet -->
+<!-- Planet around the cave END-->
+
+<!-- Anotherplanet -->
     <Planet
       position="-20000,6000,7000"
@@ -1092,9 +1089,9 @@
                   </controller>
                 </SpaceShip>
-		
-					<!-- Enemies END-->
-
-
-					<!-- 15 Boxes forward-->
+
+<!-- Enemies END-->
+
+
+<!-- 15 Boxes forward-->
  <?lua
     max = 15
@@ -1262,6 +1259,6 @@
     <?lua end ?>
 
-					<!-- 18 Boxes right END-->
-					<!-- 17 Boxes forward-->
+    <!-- 18 Boxes right END-->
+    <!-- 17 Boxes forward-->
  <?lua
     max = 17
@@ -1392,5 +1389,5 @@
       </collisionShapes>
 </StaticEntity>
-					<!-- 17 Boxes forward END-->
+<!-- 17 Boxes forward END-->
     <Billboard position="-41000,-30000,33800" material="Flares/backlightflare" colour="0,1.4,2.1" scale=15 />
 
@@ -1408,7 +1405,7 @@
 
 
-	<!-- The Cave END-->
-
-	<!-- Planet around the cave-->
+<!-- The Cave END-->
+
+<!-- Planet around the cave-->
 
   </Scene>