Index: code/trunk/data/levels/iJohnVane_TriptoArea51.oxw
===================================================================
--- code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 9991)
+++ code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 9992)
@@ -3,5 +3,5 @@
 <LevelInfo
    name = "(i) John Vane - Trip to Area 51"
-   description = "John Vane's first mission to rescue the Commander"
+   description = "John Vane's first mission to rescue the Commander."
    tags = "mission"
    screenshot = "JohnVane.png" 
Index: code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw
===================================================================
--- code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 9991)
+++ code/trunk/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 9992)
@@ -12,5 +12,5 @@
 <LevelInfo
  name = "(ii) John Vane : Area 51 Under Fire"
- description = "Level-part with the big Spacefight"
+ description = "John Vane on rampage to free his commander."
  tags = "mission"
  screenshot = "emptylevel.png"
@@ -64,5 +64,5 @@
     <OverlayGroup name="spacefightHUD" scale = "1, 1">
       <CountDown
-         position    = "0.51, 0.05"
+         position    = "0.91, 0.05"
          pickpoint   = "0.0, 0.0"
          font        = "ShareTechMono"
@@ -76,5 +76,5 @@
         <events>
           <activity>
-            <EventListener event="timer1" />
+            <EventListener event="dockDelay2" />
           </activity>
         </events>
@@ -83,6 +83,6 @@
 
 <!-- SPAWNTRIGGER -->
-    <!-- StartPoint --> 
-    <SpawnPoint team=0 position="0, 0, 0" lookat="100, 0, 0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
+    <!-- StartPoint  0, 0, 0 --> 
+    <SpawnPoint team=0 position="-12470, -21870, 25200" lookat="100, 0, 0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage >
           <events>
             <activity>
@@ -92,4 +92,5 @@
     </SpawnPoint>
     <Billboard position="-10,0,0" material="Portals/Default" />
+    <ForceField position="0, 0, 0" lookat="100, 0, 0" diameter=200 velocity=1800 length=1400 />
 
     <EventTrigger name="flying12" invert="true" >
@@ -381,5 +382,5 @@
 
     <!-- ESCAPE -->
-    <SimpleNotification message="Houston: A scout is startet to the mainship!"  broadcast="true">
+    <SimpleNotification message="Houston: A scout started to the mainship!"  broadcast="true">
         <events>
             <trigger>
@@ -1210,5 +1211,13 @@
     </BlinkingBillboard>
     
-    <DistanceTrigger name="dock" position="-12470, -21870, 25200" target="SpaceShip" distance=50 stayActive="true" delay=0 />
+    <DistanceTrigger
+     name="dock"
+     position="-12470, -21870, 25200"
+     beaconMode="exclude"
+     targetname="NPC"
+     target="SpaceShip"
+     distance=50
+     stayActive="true"
+     delay=0 />
     <SimpleNotification message="Houston: The Commander is on board!"  broadcast="true">
         <events>
@@ -1260,4 +1269,43 @@
       </events>
     </EventTrigger>
+
+
+    <DistanceTrigger
+     name="dockdelay3"
+     position="-12470, -21870, 25200"
+     beaconMode="exclude"
+     targetname="NPC"
+     target="SpaceShip"
+     distance=50
+     stayActive="true"
+     delay=20 />
+
+    <DistanceTrigger
+     name="inExplosionRange"
+     position="-12000, -22000, 25000"
+     beaconMode="exclude"
+     targetname="NPC"
+     target="SpaceShip"
+     distance=1000
+     stayActive="true"
+     delay=0 >
+        <EventTrigger>
+            <events>
+                <trigger>
+                    <EventListener event="dockdelay3" />
+                </trigger>
+            </events>
+        </EventTrigger>
+    </DistanceTrigger>
+
+    <DistanceTrigger
+     name="dockdelay4"
+     position="-12470, -21870, 25200"
+     beaconMode="exclude"
+     targetname="NPC"
+     target="SpaceShip"
+     distance=50
+     stayActive="true"
+     delay=23.1 />
 
     <EventTrigger name="timerEnd" activations="1" stayactive="true" delay=10 >
@@ -1644,4 +1692,7 @@
     <Template link=spaceshippirate />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
@@ -1670,4 +1721,7 @@
     <Template link=spaceshippirate />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
@@ -1696,4 +1750,7 @@
     <Template link=spaceshippirate />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
@@ -1722,4 +1779,7 @@
     <Template link=spaceshippirate />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
@@ -1749,4 +1809,7 @@
     <Template link=spaceshippirate />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
@@ -1775,4 +1838,7 @@
     <Template link=spaceshippirate />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=1 active=false>
@@ -1802,4 +1868,7 @@
     <Template link=spaceshipswallow />
   </templates>
+  <attached>
+    <DistanceTriggerBeacon name="NPC" />
+  </attached>
   <controller>
     <WaypointPatrolController alertnessradius=5000 team=0 active=false>
@@ -1885,5 +1954,6 @@
 <!-- ASTEROIDS & ASTEROID-FIELDS -->
     <!-- Asteroids -->
-    <Model     position="9800, -5000, 5700" 
+    <Model
+        position="9800, -5000, 5700" 
         yaw="90" 
         pitch="-90" 
@@ -1929,10 +1999,11 @@
 
         <?lua
-                  dofile("includes/asteroidField.lua")
+            dofile("includes/asteroidField.lua")
             asteroidBelt(-10000, -12500, 0, 0, 0, 30, 30, 500, 0, 7850, 150, 0)
-            ?>
+        ?>
 
     <!-- PLANETS -->
-      <Planet     position="2000,-250,9000" 
+      <Planet
+            position="2000,-250,9000" 
             scale=5000 
             pitch=1 
@@ -1950,6 +2021,6 @@
 
 <!--  PICKUPS to make travelling faster  -->
-    <PickupSpawner pickup=hugespeedpickup position="8000,-600,17200" triggerDistance="400" respawnTime="10" maxSpawnedItems="5" />
-    <PickupSpawner pickup=hugespeedpickup position="12700,2400,9200" triggerDistance="400" respawnTime="10" maxSpawnedItems="5" />
+    <PickupSpawner pickup=hugespeedpickup position="11473,1275,7689" triggerDistance="400" respawnTime="10" maxSpawnedItems="5" />
+    <PickupSpawner pickup=mediumspeedpickup position="9455,1309,16891" triggerDistance="400" respawnTime="10" maxSpawnedItems="5" />
 
 <!-- ----------------Rotating SpaceStation--------------- -->
@@ -1980,5 +2051,16 @@
         name      = "Mainship"
         radarname = "Mainship" 
-        visible      = "true" >
+        visible   = "true" >
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event="dockdelay3" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
       <controller>
         <WaypointController team=1 active="true" >
@@ -1993,4 +2075,5 @@
       <attached>
         <Model scale=200 mesh="drone.mesh" position = "0,0,0" lookat="40000, 4000, 27000" />
+        <DistanceTriggerBeacon name="NPC" />
 <!--    <Model mesh="cube.mesh" mass=10 position="-445,110,120" scale3D="45,45,150"  yaw=56 pitch=-4 roll=0 />
         <Model mesh="cube.mesh" mass=10 position="-295,125,220" scale3D="28,28,28" yaw=56 pitch=-4 roll=0 />
@@ -2020,31 +2103,89 @@
 
     <!-- PARTICLE EFFECT -->
-    <ParticleSpawner position="-12000, -22000, 25000" source="Orxonox/RingExp" autostart="false" lifetime=500 loop=0 startdelay=0.5>
+    <ParticleSpawner position="-12000, -22000, 25000" source="Orxonox/RingExp" autostart="false" lifetime=600 loop=0 startdelay=0.5>
         <events>
             <spawn>
-                <EventListener event="timerEnd" />
+                <EventListener event="dockdelay3" />
             </spawn>
         </events>
     </ParticleSpawner>
-    <ParticleSpawner position="-12000, -22000, 25000" source="Orxonox/RingExp2" autostart="false" lifetime=500 loop=0 startdelay=0>
+    <ParticleSpawner position="-12000, -22000, 25000" source="Orxonox/RingExp2" autostart="false" lifetime=600 loop=0 startdelay=0>
         <events>
             <spawn>
-                <EventListener event="timerEnd" />
+                <EventListener event="dockdelay3" />
             </spawn>
         </events>
     </ParticleSpawner>
-    <ParticleSpawner position="-12000, -22000, 25000" source="Orxonox/RingExp3" autostart="false" lifetime=500 loop=0 startdelay=0>
+    <ParticleSpawner position="-12000, -22000, 25000" source="Orxonox/RingExp3" autostart="false" lifetime=600 loop=0 startdelay=0>
         <events>
             <spawn>
-                <EventListener event="timerEnd" />
+                <EventListener event="dockdelay3" />
             </spawn>
         </events>
     </ParticleSpawner>
     
-   <!-- TODO: End the game >
+    <!-- The fire is set ->
+    <EventTrigger name="kaboom1" activations="1" stayactive="true" delay=3 >
+      <events>
+        <trigger>
+          <EventListener event="dockdelay2" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    
+    <ParticleSpawner position="-12370,-21954.7,24993.4" source="Orxonox/bigexplosion" lifetime=3.5 loop=0 autostart=0>
+        <events>
+            <spawn>
+                <EventListener event="kaboom1" />
+            </spawn>
+        </events>
+    </ParticleSpawner>
+
+    <ParticleSpawner position="-11983.6,-21599,25172.2" source="Orxonox/bigexplosion" lifetime=3.5 loop=0 autostart=false>
+        <events>
+            <spawn>
+                <EventListener event="kaboom1" />
+            </spawn>
+        </events>
+    </ParticleSpawner>
+
+    <ParticleSpawner position="-12738.7,-22278.6,24827.4" source="Orxonox/bigexplosion" lifetime=3.5 loop=0 autostart=false>
+        <events>
+            <spawn>
+                <EventListener event="kaboom1" />
+            </spawn>
+        </events>
+    </ParticleSpawner>
+
+    <ParticleSpawner position="-11830.5,-22207.2,24714.7" source="Orxonox/bigexplosion" lifetime=3.5 loop=0 autostart=false>
+        <events>
+            <spawn>
+                <EventListener event="kaboom1" />
+            </spawn>
+        </events>
+    </ParticleSpawner>
+
+    <ParticleSpawner position="-11772.2,-21992.9,25151.8" source="Orxonox/bigexplosion" lifetime=3.5 loop=0 autostart=false>
+        <events>
+            <spawn>
+                <EventListener event="kaboom1" />
+            </spawn>
+        </events>
+    </ParticleSpawner>
+
+    <ParticleSpawner position="-12953.1,-22107.5,24330.7" source="Orxonox/bigexplosion" lifetime=3.5 loop=0 autostart=false>
+        <events>
+            <spawn>
+                <EventListener event="kaboom1" />
+            </spawn>
+        </events>
+    </ParticleSpawner-->
+
+    
+   <!-- TODO: End the game -->
    <Script code="Mission endMission true" onLoad="false" times="1" >
         <events>
             <trigger>
-                <EventListener event=timerEnd />
+                <EventListener event="dockdelay4" />
             </trigger>
         </events>
@@ -2053,8 +2194,8 @@
         <events>
             <trigger>
-                <EventListener event="timerEnd" />
-            </trigger>
-        </events>
-    </Script--> 
+                <EventListener event="inExplosionRange" />
+            </trigger>
+        </events>
+    </Script> 
 
   </Scene>
Index: code/trunk/data/levels/iiiJohnVane_EscapeTheBastards.oxw
===================================================================
--- code/trunk/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 9991)
+++ code/trunk/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 9992)
@@ -22,5 +22,5 @@
 <LevelInfo
  name = "(iii) John Vane: Escape the Bastards"
- description = "You destroyed their Base, you accomplished the mission. Now get out of there, and get rid of the haunters"
+ description = "You destroyed their Base, you accomplished the mission. Now get out of there, and get rid of the haunters."
  tags = "mission"
  screenshot = "EscapeTheBastards.png"
@@ -284,5 +284,5 @@
             <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
         </collisionShapes>
-	<controller>
+    <controller>
                       <WaypointController team=1>
                     </WaypointController>
@@ -424,25 +424,25 @@
 <!-- @Triggers: Attakers, Fight one by one  -->
 
-	<EventTrigger name="target3" activations="1" stayactive="true" delay=0.1>
-     	 <events>
-     	   <trigger>
-        	  <EventListener event="attacker" />
-      	  </trigger>
-     	 </events>
-   	<EventTrigger name="target2" activations="1" stayactive="true" delay=0.1>
-      	  <events>
-     	     <trigger>
-    	        <EventListener event="attacker" />
-     	     </trigger>
-  	  </events>
-   	<EventTrigger name="target1" activations="1" stayactive="true" delay=0.1>
-      	  <events>
-     	     <trigger>
-    	        <EventListener event="attacker" />
-     	     </trigger>
-  	  </events>
-      	</EventTrigger>
-    	</EventTrigger>
-    	</EventTrigger>
+    <EventTrigger name="target3" activations="1" stayactive="true" delay=0.1>
+          <events>
+            <trigger>
+              <EventListener event="attacker" />
+            </trigger>
+          </events>
+       <EventTrigger name="target2" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="attacker" />
+              </trigger>
+        </events>
+       <EventTrigger name="target1" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="attacker" />
+              </trigger>
+        </events>
+          </EventTrigger>
+        </EventTrigger>
+        </EventTrigger>
 
 
@@ -486,10 +486,10 @@
 
 
-		Hint: He will blink with his lamp
-
-		PS: Remind the gravitation field"
+        Hint: He will blink with his lamp
+
+        PS: Remind the gravitation field"
 
  
-	failmessage="Well, you sucked" completeMessage="Well done, You're a hero" />
+    failmessage="Well, you sucked" completeMessage="Well done, You're a hero" />
         <complete-effects>
             <AddQuest questId="defend.2" />
@@ -501,5 +501,5 @@
         <QuestDescription title="Defend the Planet" description="Well your enemies trapped you. Kill'em all."
 
-	failmessage="Well, you sucked" completeMessage="Well done, You're a hero" />
+    failmessage="Well, you sucked" completeMessage="Well done, You're a hero" />
         <complete-effects>
             <AddQuest questId="leave.3" />
@@ -673,51 +673,51 @@
     <!--Asteroids Field-->
 
-	<?lua for i=0,650,1 do
-		x=math.random(-8000,-1000)
-		y=math.random(-2345,2345)
-		z=math.random(-2500,2500)
-	scale=math.random(20,70)
-	?>
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>"       collisiondamage = 0.005
+    <?lua for i=0,650,1 do
+        x=math.random(-8000,-1000)
+        y=math.random(-2345,2345)
+        z=math.random(-2500,2500)
+    scale=math.random(20,70)
+    ?>
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>"       collisiondamage = 0.005
       enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="<?lua print(scale) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
-    	</collisionShapes>
-	</MovableEntity>
-	<?lua end ?>
-
-							<!--Asteroids Field end -->
-
-
-							<!--Asteroids Random
-
-				"The game lags, when you're flying far away"
-
-
-	<?lua for i=0,300,1 do
-		x=math.random(-12000,4000)
-		y=math.random(-8000,8000)
-		z=math.random(-8000,8000)
-	?>
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>"      collisiondamage = 0.005
+        <attached>
+            <Model scale="<?lua print(scale) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
+        </collisionShapes>
+    </MovableEntity>
+    <?lua end ?>
+
+                            <!--Asteroids Field end -->
+
+
+                            <!--Asteroids Random
+
+                "The game lags, when you're flying far away"
+
+
+    <?lua for i=0,300,1 do
+        x=math.random(-12000,4000)
+        y=math.random(-8000,8000)
+        z=math.random(-8000,8000)
+    ?>
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="<?lua print(scale * 5) ?>" position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" rotationaxis="<?lua print(math.random()) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" rotationrate="<?lua print(math.random()*15) ?>"      collisiondamage = 0.005
       enablecollisiondamage = true  >
-    	<attached>
-        	<Model scale="<?lua print(math.random(20,70)) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
-    	</attached>
-    	<collisionShapes>
+        <attached>
+            <Model scale="<?lua print(math.random(20,70)) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false/>
+        </attached>
+        <collisionShapes>
             <SphereCollisionShape radius="<?lua print(scale * 3) ?>" />
         </collisionShapes>
-	</MovableEntity>
-	<?lua end ?>
+    </MovableEntity>
+    <?lua end ?>
 -->
-							<!--Asteroids  Random end-->
-
-    							<!--Asteroid Elipse-->
+                            <!--Asteroids  Random end-->
+
+                                <!--Asteroid Elipse-->
 <!-- LAAAGS :-(
 
-				"The game lags, when you're flying far away"		
+                "The game lags, when you're flying far away"        
 
     <?lua
@@ -757,5 +757,5 @@
       <attached>
         <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
-      <?lua if k == 5 then ?><attached>			<!--asteroid fog-->
+      <?lua if k == 5 then ?><attached>            <!--asteroid fog-->
             <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
           </attached> <?lua end ?>
@@ -864,5 +864,5 @@
 <!-- LAAAGS :-(
 
-				"The game lags, when you're flying far away"
+                "The game lags, when you're flying far away"
 
     <?lua
@@ -871,93 +871,93 @@
     ?>
 -->
-  							<!-- Anotherplanet  END-->
-
-  							<!-- Homeplanet Architecture-->
+                              <!-- Anotherplanet  END-->
+
+                              <!-- Homeplanet Architecture-->
 <!-- -3000,12000,-6990  = Billboard position-->
 
-     <!-- 	<Model  position="-3070,12070,-6990" yaw="90" pitch="-90" roll="0" scale="70" mesh="asteroid_ice.mesh" >
+     <!--     <Model  position="-3070,12070,-6990" yaw="90" pitch="-90" roll="0" scale="70" mesh="asteroid_ice.mesh" >
       <collisionShapes>
         <SphereCollisionShape radius="70" position="0,0,0" />
       </collisionShapes>
-	</Model>
+    </Model>
 -->
 
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="500"  pitch="90" roll="86" yaw="12" position="-2900,12080,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="70" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="70" />
-    	</collisionShapes>
-	</MovableEntity>
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"   pitch="30" roll="11" yaw="51" position="-3200,11950,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="90" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="90" />
-    	</collisionShapes>
-	</MovableEntity>
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="12" yaw="81"  position="-2800,12150,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="90" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="90" />
-    	</collisionShapes>
-	</MovableEntity>
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="0" yaw="0" position="-3300,11800,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="155" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="155" />
-    	</collisionShapes>
-	</MovableEntity>
-
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="0" yaw="12" position="-3230,12300,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="150" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="150" />
-    	</collisionShapes>
-	</MovableEntity>
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="13" roll="23"yaw="120" position="-3000,12000,-6820" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="100" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="100" />
-    	</collisionShapes>
-	</MovableEntity>
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="2" roll="12" yaw="43" position="-3250,12100,-6850" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="70" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="70" />
-    	</collisionShapes>
-	</MovableEntity>
-
-	<MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="0" roll="0" yaw="0"  position="-3230,11800,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
-    	<attached>
-        	<Model scale="85" mesh="asteroid_ice.mesh"  shadow=false/>
-   	 </attached>
-   	 <collisionShapes>
-      	 	<SphereCollisionShape radius="85" />
-    	</collisionShapes>
-	</MovableEntity>
-
- 							<!-- Homeplanet Architecture END-->
-
-
-							<!-- Portal-->
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=0 mass="500"  pitch="90" roll="86" yaw="12" position="-2900,12080,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="70" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="70" />
+        </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"   pitch="30" roll="11" yaw="51" position="-3200,11950,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="90" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="90" />
+        </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="12" yaw="81"  position="-2800,12150,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="90" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="90" />
+        </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="0" yaw="0" position="-3300,11800,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="155" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="155" />
+        </collisionShapes>
+    </MovableEntity>
+
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500"  pitch="0" roll="0" yaw="12" position="-3230,12300,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="150" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="150" />
+        </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="13" roll="23"yaw="120" position="-3000,12000,-6820" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="100" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="100" />
+        </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="2" roll="12" yaw="43" position="-3250,12100,-6850" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="70" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="70" />
+        </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity collisionType=kinematic linearDamping=0.8 angularDamping=5 mass="500" pitch="0" roll="0" yaw="0"  position="-3230,11800,-6990" rotationaxis="0,0,0" rotationrate="0"       collisiondamage = 0.01  enablecollisiondamage = true >
+        <attached>
+            <Model scale="85" mesh="asteroid_ice.mesh"  shadow=false/>
+        </attached>
+        <collisionShapes>
+               <SphereCollisionShape radius="85" />
+        </collisionShapes>
+    </MovableEntity>
+
+                             <!-- Homeplanet Architecture END-->
+
+
+                            <!-- Portal-->
     <Template name=PortalDefault>
         <PortalEndPoint>
@@ -973,11 +973,11 @@
 
 
-							<!-- Portal END-->
-
-
-	<!-- The Cave-->
+                            <!-- Portal END-->
+
+
+    <!-- The Cave-->
 <!-- verhaeltniss Cube.mesh <-> Crate.mesh 1:5 -->
 
-					<!-- Enemies-->
+                    <!-- Enemies-->
 <Turret position="-43700,-30000,30000" pitch="0" yaw="90" roll="90">
     <templates>
@@ -1166,6 +1166,6 @@
 </StaticEntity>
 
-					<!-- 15 Boxes forward END -->
-					<!-- 18 Boxes right-->
+                    <!-- 15 Boxes forward END -->
+                    <!-- 18 Boxes right-->
 
  <?lua