Index: code/branches/turretFS14/src/modules/objects/CMakeLists.txt
===================================================================
--- code/branches/turretFS14/src/modules/objects/CMakeLists.txt	(revision 10004)
+++ code/branches/turretFS14/src/modules/objects/CMakeLists.txt	(revision 10008)
@@ -11,4 +11,5 @@
 ADD_SUBDIRECTORY(eventsystem)
 ADD_SUBDIRECTORY(triggers)
+ADD_SUBDIRECTORY(controllers)
 
 ORXONOX_ADD_LIBRARY(objects
Index: code/branches/turretFS14/src/modules/objects/Turret.cc
===================================================================
--- code/branches/turretFS14/src/modules/objects/Turret.cc	(revision 10004)
+++ code/branches/turretFS14/src/modules/objects/Turret.cc	(revision 10008)
@@ -78,8 +78,8 @@
            currentPitch < lowerBoundary && value.x < 0)
         {
-            return;
+            //return;
         }
         
-        //SpaceShip::rotatePitch(value);
+        SpaceShip::rotatePitch(value);
     }
 
@@ -92,5 +92,4 @@
         Radian upperBoundary = startYaw + limit;
         Radian lowerBoundary = startYaw - limit;
-        orxout() << currentYaw << " " << this->getOrientation().getRoll() << endl;
         /*if(upperBoundary >= Radian(Degree(180)));
         {
@@ -117,5 +116,5 @@
     void Turret::rotateRoll(const Vector2& value)
     {
-        return;
+        SpaceShip::rotateRoll(value);
     }
 
@@ -137,4 +136,5 @@
     void Turret::tick(float dt)
     {
+        orxout() << "Pitch: " << this->getOrientation().getPitch() << "\tYaw: " << this->getOrientation().getYaw() << "\tRoll: " << this->getOrientation().getRoll() << endl;
         if(!gotOrient_)
         {
Index: code/branches/turretFS14/src/modules/objects/Turret.h
===================================================================
--- code/branches/turretFS14/src/modules/objects/Turret.h	(revision 10004)
+++ code/branches/turretFS14/src/modules/objects/Turret.h	(revision 10008)
@@ -65,5 +65,4 @@
             bool gotOrient_;
             Quaternion startOrient_;
-            Quaternion firstOrient_;
     };
 }
Index: code/branches/turretFS14/src/modules/objects/controllers/CMakeLists.txt
===================================================================
--- code/branches/turretFS14/src/modules/objects/controllers/CMakeLists.txt	(revision 10008)
+++ code/branches/turretFS14/src/modules/objects/controllers/CMakeLists.txt	(revision 10008)
@@ -0,0 +1,3 @@
+ADD_SOURCE_FILES(OBJECTS_SRC_FILES
+  TurretController.cc
+)
Index: code/branches/turretFS14/src/modules/objects/controllers/TurretController.cc
===================================================================
--- code/branches/turretFS14/src/modules/objects/controllers/TurretController.cc	(revision 10008)
+++ code/branches/turretFS14/src/modules/objects/controllers/TurretController.cc	(revision 10008)
@@ -0,0 +1,49 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Martin Mueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+ #include "TurretController.h"
+
+ namespace orxonox
+ {
+ 	RegisterClass(TurretController);
+
+ 	TurretController::TurretController(Context* context) : ArtificialController(context)
+ 	{
+ 		RegisterObject(TurretController);
+ 	}
+
+ 	TurretController::~TurretController()
+ 	{
+
+ 	}
+
+ 	void TurretController::tick(float dt)
+ 	{
+ 		this->getControllableEntity()->rotateYaw(10*dt);
+ 	}
+ }
Index: code/branches/turretFS14/src/modules/objects/controllers/TurretController.h
===================================================================
--- code/branches/turretFS14/src/modules/objects/controllers/TurretController.h	(revision 10008)
+++ code/branches/turretFS14/src/modules/objects/controllers/TurretController.h	(revision 10008)
@@ -0,0 +1,47 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Martin Mueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+ #ifndef _TurretController_H__
+ #define _TurretController_H__
+
+#include "OrxonoxPrereqs.h"
+#include "controllers/ArtificialController.h"
+
+ namespace orxonox
+ {
+ 	class _OrxonoxExport TurretController : public ArtificialController, public Tickable
+ 	{
+ 		public:
+ 			TurretController(Context* context);
+ 			virtual ~TurretController();
+
+ 			virtual void tick(float dt);
+ 	};
+ }
+
+ #endif